> ## Documentation Index
> Fetch the complete documentation index at: https://docs.exponent.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Completed reward epochs

> Retrieve the latest four completed orderbook reward epochs.

export const ApiResponse = ({children, errors = {}}) => {
  const [status, setStatus] = useState("200");
  const statuses = ["200", ...Object.keys(errors)];
  return <section className="api-response" aria-label="Response">
      <div className="api-response-header not-prose">
        <h2>Response</h2>
        <div className="api-response-format">
          {statuses.length > 1 ? <select aria-label="Response status" value={status} onChange={event => setStatus(event.target.value)}>
              {statuses.map(code => <option key={code} value={code}>{code}</option>)}
            </select> : <span>200</span>}
          <span className="api-response-mime">application/json</span>
        </div>
      </div>
      <div hidden={status !== "200"}>{children}</div>
      {status !== "200" && <div aria-live="polite">
          {Object.entries(errors[status]).map(([name, value]) => <ResponseField key={name} name={name} type={value === null ? "null" : Array.isArray(value) ? "array" : typeof value}>
              {name === "error" ? "Error message describing why the request failed." : "Additional error details."}
            </ResponseField>)}
        </div>}
    </section>;
};

## Path parameters

<ParamField path="campaignId" type="string" required>
  Campaign id.
</ParamField>

<RequestExample dropdown>
  ```bash cURL theme={null}
  curl https://api.exponent.finance/orderbook-emissions/campaigns/3fjeZWCo-6FrrzDk5-d139734e/epochs
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.exponent.finance/orderbook-emissions/campaigns/3fjeZWCo-6FrrzDk5-d139734e/epochs", timeout=30)
  response.raise_for_status()
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.exponent.finance/orderbook-emissions/campaigns/3fjeZWCo-6FrrzDk5-d139734e/epochs");
  if (!response.ok) {
    throw new Error(`Request failed: ${response.status}`);
  }
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ApiResponse errors={{"404": {"error": "<message>"}, "500": {"error": "<message>"}}}>
  <ResponseField name="epochs" type="object[]">
    Completed reward periods for the requested campaign.

    <Expandable title="child attributes">
      <ResponseField name="epochs[].epochNumber" type="number">
        Sequential reward-period number within the campaign.
      </ResponseField>

      <ResponseField name="epochs[].startsAt" type="string">
        ISO 8601 start of the campaign or reward period.
      </ResponseField>

      <ResponseField name="epochs[].endsAt" type="string">
        ISO 8601 end of the campaign or reward period.
      </ResponseField>

      <ResponseField name="epochs[].minImpliedApy" type="number">
        Lower indexed implied-rate bound used for this reward period.
      </ResponseField>

      <ResponseField name="epochs[].maxImpliedApy" type="number">
        Upper indexed implied-rate bound used for this reward period.
      </ResponseField>

      <ResponseField name="epochs[].maxRewardsApyBps" type="number">
        Maximum reward APY expressed in basis points.
      </ResponseField>

      <ResponseField name="epochs[].distributedRewardsRaw" type="string">
        Rewards distributed during this epoch, in raw reward-token units.
      </ResponseField>

      <ResponseField name="epochs[].totalRewardsRaw" type="string">
        Total rewards assigned to this epoch, in raw reward-token units.
      </ResponseField>
    </Expandable>
  </ResponseField>
</ApiResponse>

<ResponseExample>
  ```json 200 theme={null}
  {
    "epochs": [
      {
        "startsAt": "2026-09-17T10:00:00.000Z",
        "endsAt": "2026-09-24T10:00:00.000Z",
        "minImpliedApy": 34755,
        "maxImpliedApy": 48918,
        "maxRewardsApyBps": 8000,
        "distributedRewardsRaw": "158314776",
        "totalRewardsRaw": "5000999888",
        "epochNumber": 3
      },
      {
        "startsAt": "2026-09-24T10:00:00.000Z",
        "endsAt": "2026-10-01T10:00:00.000Z",
        "minImpliedApy": 43023,
        "maxImpliedApy": 75071,
        "maxRewardsApyBps": 5000,
        "distributedRewardsRaw": "4539893",
        "totalRewardsRaw": "5000999888",
        "epochNumber": 4
      }
    ]
  }
  ```

  ```json 404 theme={null}
  {
    "error": "<message>"
  }
  ```

  ```json 500 theme={null}
  {
    "error": "<message>"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.